Delete invoice
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/{invoiceId}/delete \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Invoice",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "1",
"sent_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"line_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"ledger_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"prepayment_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"description": "Widget sale",
"product": "Widget",
"unit_price": 123,
"quantity": 123,
"subtotal": 123,
"discount_amount": 123,
"sales_taxes_total": 123,
"sales_taxes": [
{
"tax_account": {
"name": "CALIFORNIA_VAT",
"type": "Tax_Name"
},
"tax_ledger_account": {
"id": "c4007474-f604-4d57-9690-b7f40f7a1cee",
"name": "Sales tax: CALIFORNIA",
"stable_name": "SALES_TAXES_PAYABLE:CALIFORNIA",
"normality": "CREDIT",
"account_type": {
"value": "LIABILITY",
"display_name": "Liabilities"
},
"account_subtype": {
"value": "SALES_TAXES_PAYABLE",
"display_name": "Sales Taxes Payable"
}
},
"amount": 123
}
],
"total_amount": 123,
"refund_allocations": [],
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
],
"subtotal": 123,
"additional_discount": 123,
"additional_sales_taxes_total": 123,
"additional_sales_taxes": [
{
"tax_account": {
"name": "CALIFORNIA_VAT",
"type": "Tax_Name"
},
"tax_ledger_account": {
"id": "c4007474-f604-4d57-9690-b7f40f7a1cee",
"name": "Sales tax: CALIFORNIA",
"stable_name": "SALES_TAXES_PAYABLE:CALIFORNIA",
"normality": "CREDIT",
"account_type": {
"value": "LIABILITY",
"display_name": "Liabilities"
},
"account_subtype": {
"value": "SALES_TAXES_PAYABLE",
"display_name": "Sales Taxes Payable"
}
},
"amount": 123
}
],
"tips": 123,
"total_amount": 123,
"outstanding_balance": 123,
"memo": "<string>",
"payment_allocations": [],
"refund_allocations": [],
"imported_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}Invoices
Delete invoice
Marks an invoice as deleted. The invoice must not have any valid payments or refunds associated with it.
POST
/
v1
/
businesses
/
{businessId}
/
invoices
/
{invoiceId}
/
delete
Delete invoice
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/{invoiceId}/delete \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Invoice",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "1",
"sent_at": "2023-11-07T05:31:56Z",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"line_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"ledger_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"prepayment_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"description": "Widget sale",
"product": "Widget",
"unit_price": 123,
"quantity": 123,
"subtotal": 123,
"discount_amount": 123,
"sales_taxes_total": 123,
"sales_taxes": [
{
"tax_account": {
"name": "CALIFORNIA_VAT",
"type": "Tax_Name"
},
"tax_ledger_account": {
"id": "c4007474-f604-4d57-9690-b7f40f7a1cee",
"name": "Sales tax: CALIFORNIA",
"stable_name": "SALES_TAXES_PAYABLE:CALIFORNIA",
"normality": "CREDIT",
"account_type": {
"value": "LIABILITY",
"display_name": "Liabilities"
},
"account_subtype": {
"value": "SALES_TAXES_PAYABLE",
"display_name": "Sales Taxes Payable"
}
},
"amount": 123
}
],
"total_amount": 123,
"refund_allocations": [],
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
],
"subtotal": 123,
"additional_discount": 123,
"additional_sales_taxes_total": 123,
"additional_sales_taxes": [
{
"tax_account": {
"name": "CALIFORNIA_VAT",
"type": "Tax_Name"
},
"tax_ledger_account": {
"id": "c4007474-f604-4d57-9690-b7f40f7a1cee",
"name": "Sales tax: CALIFORNIA",
"stable_name": "SALES_TAXES_PAYABLE:CALIFORNIA",
"normality": "CREDIT",
"account_type": {
"value": "LIABILITY",
"display_name": "Liabilities"
},
"account_subtype": {
"value": "SALES_TAXES_PAYABLE",
"display_name": "Sales Taxes Payable"
}
},
"amount": 123
}
],
"tips": 123,
"total_amount": 123,
"outstanding_balance": 123,
"memo": "<string>",
"payment_allocations": [],
"refund_allocations": [],
"imported_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the invoice to delete.
Response
Invoice deleted successfully.
Show child attributes
Show child attributes
⌘I